diff --git a/totara/cohort/lib.php b/totara/cohort/lib.php
index 3f77e09..2fa0feb 100644
--- a/totara/cohort/lib.php
+++ b/totara/cohort/lib.php
@@ -814,10 +814,10 @@ function totara_cohort_clone_cohort($oldcohortid) {
     // If the cohort is dynamic, copy over the rules
     if ($newcohort->cohorttype == cohort::TYPE_DYNAMIC) {
         // Clone active rule collection
-        $activecollid = cohort_rules_clone_collection($oldcohort->activecollectionid);
+        $activecollid = cohort_rules_clone_collection($oldcohort->activecollectionid, null, true, $newcohort->id);
 
         // Clone draft rule collection
-        $draftcollid = cohort_rules_clone_collection($oldcohort->draftcollectionid);
+        $draftcollid = cohort_rules_clone_collection($oldcohort->draftcollectionid, null, true, $newcohort->id);
 
         // Update new cohort's collections to created clones
         $todb = new stdClass;
diff --git a/totara/cohort/rules/lib.php b/totara/cohort/rules/lib.php
index 9bddf2f..9662818 100644
--- a/totara/cohort/rules/lib.php
+++ b/totara/cohort/rules/lib.php
@@ -321,7 +321,7 @@ function cohort_rules_delete_collection($collectionid, $usetrans=true) {
     return true;
 }
 
-function cohort_rules_clone_collection($collid, $status=null, $usetrans=true) {
+function cohort_rules_clone_collection($collid, $status=null, $usetrans=true, $cohortid=null) {
     global $DB, $USER;
 
     $now = time();
@@ -335,7 +335,7 @@ function cohort_rules_clone_collection($collid, $status=null, $usetrans=true) {
     }
 
     $newcollection = new stdClass;
-    $newcollection->cohortid =        $collection->cohortid;
+    $newcollection->cohortid =        $cohortid ? $cohortid : $collection->cohortid;
     $newcollection->rulesetoperator = $collection->rulesetoperator;
     $newcollection->status =          !empty($status) ? $status : $collection->status;
     $newcollection->timecreated =     $now;
